uses SysUtils;

Var 
  info : TSearchrec;

begin
  If FindFirst('*.*',faAnyFile,Info)=0 then
    Repeat
      Write(Info.Name,' : ');
      If (Info.Attr and faDirectory)<>0 then
        Write('Directory ');
      If (Info.Attr and faHidden)<>0 then
        Write(' Hidden');
      if (Info.Attr and faArchive)<>0 then
        Write(' Archive')  ;
      Writeln;  
    Until FindNext(Info)<>0;
  FindClose(Info);  
end.